Subject: bug#18108: [PATCH] 24.3.92 : eshell-visual-options fails with some output.

From: Stefan Monnier <[email-masked]>
Date: Sun, 03 May 2015 21:21:12 -0400

> As you can see, eshell visual commands in their visual state are very
> hard to use correctly.

No doubt.  I think the best way to try and make it work well in "both"
cases is to try and make the behavior closer to what would happen inside
an xterm (say).  E.g. one possibility is that when the process dies,
rather than simply deleting the corresponding term buffer, we first copy
the term buffer's contents to the Eshell's buffer, so as not to lose
this process output.
WDYT?

        Stefan